// _InspecteurPromotionPrecedente_Interface.java
// Created on 16 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.outils.interfaces;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _InspecteurPromotionPrecedente_Interface extends COFrame {

    /** Creates new form _InspecteurPromotionPrecedente_Interface */
    public _InspecteurPromotionPrecedente_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        displayGroup = new org.cocktail.component.CODisplayGroup();
        listeAffichage = new org.cocktail.component.COTable();
        popupType = new org.cocktail.component.COComboBox();
        jLabel1 = new javax.swing.JLabel();

        displayGroup.setEntityName("HistoPromotion");
        displayGroup.setHasDelegate(true);
        displayGroup.setIsMainDisplayGroupForController(true);

        setControllerClassName("org.cocktail.mangue.client.outils.InspecteurPromotionPrecedente");
        setSize(new java.awt.Dimension(496, 532));

        listeAffichage.setColumns(new Object[][] {{null,"individu.identite",new Integer(2),"Individu Promouvables",new Integer(0),new Integer(319),new Integer(1000),new Integer(118)},{null,"hproStatut",new Integer(0),"Statut",new Integer(0),new Integer(36),new Integer(1000),new Integer(36)},{null,"libelleCorpsGradeDepart",new Integer(0),"Grade ou Corps",new Integer(0),new Integer(150),new Integer(1000),new Integer(91)},{null,"hproEchelon",new Integer(0),"Echelon",new Integer(0),new Integer(50),new Integer(1000),new Integer(50)},{null,"hproDureeGrade",new Integer(2),"Ancienneté Grade",new Integer(0),new Integer(150),new Integer(1000),new Integer(91)},{null,"hproDureeServPublic",new Integer(2),"Ancienneté de Services",new Integer(0),new Integer(143),new Integer(1000),new Integer(123)},{null,"paramPromotion.description",new Integer(2),"Conditions",new Integer(0),new Integer(400),new Integer(1000),new Integer(59)}});
        listeAffichage.setDisplayGroupForTable(displayGroup);
        listeAffichage.setResizingAllowed(true);

        popupType.setActionName("popupTypeHasChanged");
        popupType.setTitles("Tous,Dossiers remplis,Transmis Ministère,Promus, Refusés");

        jLabel1.setFont(new java.awt.Font("Helvetica", 0, 10));
        jLabel1.setText("Statut : A automatique, M ajoutée manuellement, T transmise Ministère, V acceptée, N refusée ");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(14, 14, 14)
                        .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 462, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(184, 184, 184)
                        .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 145, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(21, 21, 21)
                        .add(jLabel1)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel1)
                .add(10, 10, 10)
                .add(popupType, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(listeAffichage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 443, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(27, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public org.cocktail.component.CODisplayGroup displayGroup;
    private javax.swing.JLabel jLabel1;
    public org.cocktail.component.COTable listeAffichage;
    public org.cocktail.component.COComboBox popupType;
    // End of variables declaration//GEN-END:variables
                  

}
